<?php

namespace App\Enums;

use Filament\Support\Contracts\HasLabel;

enum Rubrique: string implements HasLabel
{
    case Actualites = 'actualites';
    case Ayitizana = 'ayitizana';
    case InfosUtiles = 'infos_utiles';

    public function getLabel(): string
    {
        return match ($this) {
            self::Actualites => 'Actualités',
            self::Ayitizana => 'Ayitizana',
            self::InfosUtiles => 'Infos-Utiles',
        };
    }
}